Subject: bug#74361: [PATCH] New option xref-navigation-display-window-action

From: martin rudalics <[email-masked]>
Date: Wed, 27 Nov 2024 10:00:19 +0100

> I welcome a change to get rid of the lru behavior in favor
 > of using the category.  What I only suggested is to add a separate
 > action 'display-buffer-reuse-category-window' with higher precedence
 > than 'display-buffer-use-some-window'.  But this is just an technical detail.

I think so too.  Whatever it is, I think that 'category' should be only
detected by 'buffer-match-p' and both user and 'display-buffer' when
using "some" window should be free to interpret it in their own ways.
Since ‘some-window’ would be always given precedence over 'category' as
far as 'display-buffer' is concerned, the user would be free to override
any automagic the latter does.

martin